#define gitrev d5550b7
#define gitdate 20160530
# Git repo: http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/

# How to prepare the source archive from the git tree:
# $ hash=`git log -1 --format='%h'`
# $ date=`git log -1 --format='%cd' --date=short | tr -d -`
# $ git archive --prefix xf86-video-vmware-${date}-git${hash}/ ${hash} \
#       | xz -7e > xf86-video-vmware-${date}-git${hash}.tar.xz

# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

%define _disable_ld_no_undefined 1

Summary:	X.org driver for VMWare(tm)
Name:		x11-driver-video-vmware
Version:	13.2.1
Release:	1
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vmware-%{version}.tar.bz2
#Source0:	xf86-video-vmware-%{gitdate}-git%{gitrev}.tar.xz

BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(xatracker)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server) >= 1.12
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(udev)
Requires:	%{_lib}dri-drivers
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-vmware is the X.org driver for VMWare(tm).

%files
%config(noreplace) %{_sysconfdir}/modprobe.d/vmwgfx.conf
%{_bindir}/vmwarectrl
%{_libdir}/xorg/modules/drivers/vmware_drv.so
%{_mandir}/man4/vmware.*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-vmware-%{version}
%apply_patches


%build
autoreconf -vfi
%configure2_5x \
	--enable-vmwarectrl-client
%make

%install
%makeinstall_std

# XXX: this should ultimately rather be handled by ie. XFdrake
install -d %{buildroot}%{_sysconfdir}/modprobe.d
tee > %{buildroot}%{_sysconfdir}/modprobe.d/vmwgfx.conf << EOF
options vmwgfx enable_fbdev=1
EOF


%changelog

* Fri Nov 18 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 13.2.1-1
- (b5ef6a9) Updated to version 13.2.1


